CAD/CAM discussion forum > CAD Tutorial & Tips > how to make a screw thread in zwcad 2011, making a screw thread

how to make a screw thread in zwcad 2011, making a screw thread

    
  Subscribe Topic

Rank: 1

x01807376659

Newbie

posts: 4

Registered: 2012-7-2

Message 1 of 8

 how to make a screw thread in zwcad 2011, making a screw thread
17-08-2012 10:08 . am   |   View his/her posts only
can you help me please? how to make a screw thread in zwcad 2011? Any way for making a screw thread? helix command is unavailable.

Rank: 5Rank: 5

Daniel

posts: 280

Registered: 2012-6-6

Message 2 of 8

21-08-2012 02:37 . pm   |   View his/her posts only
Hi, it's a little tricky:
1. draw 2 half-circle, which forms a complete circle
2. ROTATE3D command, rotate one of them 5 degree(as you like), and the other -5 degree(different direction), keep them stick together at one endpoint
3. draw the section plan object you want, such as a small circle, then SWEEP the small circle along the rotated path, it will become a period of pipe.
4. copy them to make as long as you want

Rank: 1

ivys

Newbie

posts: 8

Registered: 2012-1-18

Message 3 of 8

22-08-2012 10:29 . am   |   View his/her posts only
Reply 1# x01807376659

A lisp routine from internet:
  1. (defun c:helix()
  2. (setq spin -1); -1=CW, 1=CCW
  3. (setq ri (getreal "Base radius: ") rf (getreal "Top radius: "))
  4. (initget (+ 1 4))
  5. (setq h (getreal "Height: "))
  6. (initget (+ 1 2 4))
  7. (setq tu (getreal "Number of turns: "))
  8. (setq segs (getint "Number of segments per turn <20>: ")); more=smoother
  9. (if (= segs nil)(setq segs 20))
  10. (setq old (getvar "osmode"))
  11. (setvar "cmdecho" 0)
  12. (setq fi1 (/ (* 2 PI) segs) i 0)
  13. (setq points (fix (* tu segs))
  14. h1 (/ h points) r1 (/ (- rf ri) points)
  15. s (getpoint "Center of base: ")
  16. end (list (car s) (cadr s) (+ h (caddr s))))
  17. (setvar "osmode" 0 )
  18. (command "line" s end "")
  19. (command "chprop" "l" "" "c" 1 "")
  20. (command "3dpoly")
  21. (setq i 0)
  22. (repeat (1+ points)
  23. (setq fi (* i fi1) h (* i h1) r (+ ri (* i r1)))
  24. (setq x (* r (cos fi)) y (* spin r (sin fi)))
  25. (command (list (+ (car s) x) (+ (cadr s) y) (+ (caddr s) h)))
  26. (setq i (1+ i)))
  27. (command "")
  28. (setvar "osmode" old))
  29. (princ "\nRoutine loaded. Type HELIX at the command prompt.")
  30. (princ)
Copy Code



This program can run on ZWCAD+

Rank: 1

x01807376659

Newbie

posts: 4

Registered: 2012-7-2

Message 4 of 8

22-08-2012 10:51 . am   |   View his/her posts only
how can i join the 2 arcs (2 half-circle)? tje "join" command doesn't work.

Rank: 1

x01807376659

Newbie

posts: 4

Registered: 2012-7-2

Message 5 of 8

22-08-2012 10:53 . am   |   View his/her posts only
i don't know how to do this. i'm a newbie.

"A lisp routine from internet: "

Rank: 5Rank: 5

Daniel

posts: 280

Registered: 2012-6-6

Message 6 of 8

22-08-2012 03:20 . pm   |   View his/her posts only
[i=s] Post Last Edit by huangy8949 at 2012-8-22 15:23

Copy the codes and paste to a txt file, save and close the file, change file extension from .txt to .lsp. Then open ZWCAD+, run command APPLOAD and browse to the lsp file you just make, load this lisp file to ZWCAD+, then run command HELIX, follow the prompt to draw the helix.

Rank: 1

x01807376659

Newbie

posts: 4

Registered: 2012-7-2

Message 7 of 8

22-08-2012 04:43 . pm   |   View his/her posts only
thank you very much. it helped me much.

Rank: 5Rank: 5

Daniel

posts: 280

Registered: 2012-6-6

Message 8 of 8

27-08-2012 02:58 . pm   |   View his/her posts only
You're very welcome, sir!


Find the features of the latest version of ZWCAD+:
http://www.zwsoft.com/zwcad+/
See also
X